> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all terminal readers

> List all terminal readers.



## OpenAPI

````yaml openapi-terminal.json GET /v1/terminal/readers
openapi: 3.1.0
info:
  title: Yorlet Terminal API
  description: APIs for managing terminal locations, offers, and readers.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/terminal/readers:
    get:
      tags:
        - Terminal Readers
      summary: List all terminal readers
      description: List all terminal readers.
      operationId: terminal_readers_list
      responses:
        '200':
          description: List all terminal readers
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: Total number of items in the list.
                    example: 1
                  has_more:
                    type: boolean
                    description: Whether more items are available.
                    example: false
                  object:
                    type: string
                    enum:
                      - list
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the object.
                        created:
                          type: number
                          description: >-
                            Time at which the object was created. Measured in
                            seconds since the Unix epoch.
                        account:
                          type: string
                          description: >-
                            The account that the object belongs to. Only
                            returned if the request is made with a valid
                            Yorlet-Context header.
                        deleted:
                          type: boolean
                          default: false
                          description: Only returned if the object has been deleted.
                        object:
                          type: string
                          enum:
                            - terminal.reader
                        device_type:
                          type:
                            - string
                            - 'null'
                          description: The model of the device.
                        label:
                          type: string
                          description: >-
                            Custom label given to the reader for easier
                            identification.
                        location:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for the object.
                                created:
                                  type: number
                                  description: >-
                                    Time at which the object was created.
                                    Measured in seconds since the Unix epoch.
                                account:
                                  type: string
                                  description: >-
                                    The account that the object belongs to. Only
                                    returned if the request is made with a valid
                                    Yorlet-Context header.
                                deleted:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Only returned if the object has been
                                    deleted.
                                object:
                                  type: string
                                  enum:
                                    - terminal.location
                                address:
                                  type: object
                                  properties:
                                    line1:
                                      type:
                                        - string
                                        - 'null'
                                    line2:
                                      type:
                                        - string
                                        - 'null'
                                    city:
                                      type:
                                        - string
                                        - 'null'
                                    country:
                                      type:
                                        - string
                                        - 'null'
                                    postal_code:
                                      type:
                                        - string
                                        - 'null'
                                    state:
                                      type:
                                        - string
                                        - 'null'
                                  description: The physical address of the location.
                                display_name:
                                  type: string
                                  description: >-
                                    A name for the location that is displayed to
                                    customers.
                                marketing:
                                  type: object
                                  properties:
                                    brand:
                                      type: object
                                      properties:
                                        color:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The brand color for the location, as a
                                            hex code.
                                        icon:
                                          type:
                                            - string
                                            - 'null'
                                          description: >-
                                            The ID of the file used as the brand
                                            icon for the location.
                                      required:
                                        - color
                                        - icon
                                      description: The location's brand details.
                                    description:
                                      type:
                                        - string
                                        - 'null'
                                      description: >-
                                        A marketing description for the
                                        location.
                                    featured_photo:
                                      type:
                                        - string
                                        - 'null'
                                      description: >-
                                        The ID of the file used as the featured
                                        photo for the location.
                                    photos:
                                      type: array
                                      items:
                                        type: string
                                      description: >-
                                        IDs of additional photos used to market
                                        the location.
                                  required:
                                    - brand
                                    - description
                                    - featured_photo
                                    - photos
                                  description: >-
                                    Marketing details displayed for the
                                    location.
                                metadata:
                                  type:
                                    - object
                                    - 'null'
                                  additionalProperties:
                                    type: string
                                  description: >-
                                    Set of key-value pairs that you can attach
                                    to an object. This can be useful for storing
                                    additional information about the object in a
                                    structured format.
                                subtype:
                                  type:
                                    - string
                                    - 'null'
                                  enum:
                                    - bar
                                    - brewery
                                    - coffee_shop
                                    - quick_service
                                    - restaurant
                                    - food_court
                                    - bakery
                                    - clothing
                                    - home
                                    - grocery
                                    - event_venue
                                    - nightclub
                                    - professional_services
                                    - reception
                                    - null
                                  description: >-
                                    A more specific subtype categorisation for
                                    the location.
                                type:
                                  type: string
                                  enum:
                                    - food_and_beverage
                                    - retail
                                    - entertainment
                                    - services
                                    - building_services
                                  description: The category of the location.
                              required:
                                - id
                                - created
                                - object
                                - address
                                - display_name
                                - marketing
                                - subtype
                                - type
                            - type: string
                          description: The location the reader is registered to.
                        serial_number:
                          type:
                            - string
                            - 'null'
                          description: Serial number of the reader.
                      required:
                        - id
                        - created
                        - object
                        - device_type
                        - label
                        - location
                        - serial_number
                required:
                  - count
                  - has_more
                  - object
                  - data
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````